Name:           sweep
Version:        0.9.2
Release:        2%{?dist}
Summary:        An audio editor and live playback tool

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.metadecks.org/software/sweep/index.html
Source:		http://www.metadecks.org/software/sweep/download/sweep-0.9.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel
BuildRequires:	libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  speex-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  alsa-lib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	sed
%{?_with_mp3:BuildRequires: libmad-devel}
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins.


%package devel
Summary:        Development files for Sweep
Group:		Development/Libraries
Requires:	glib2-devel
Requires:	gtk2-devel

%description devel
Header files and libraries for Sweep development.


%prep
%setup -q


%build
%configure --enable-alsa --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# rename binary and manpage because of name conflict with lam package
(cd $RPM_BUILD_ROOT%{_bindir}; mv sweep sweep-audio-editor)
(cd $RPM_BUILD_ROOT%{_mandir}/man1; 
  mv sweep.1 sweep-audio-editor.1
  sed -i -e 's|.B sweep|.B sweep-audio-editor|' sweep-audio-editor.1
)

cat > sweep.desktop << EOF
[Desktop Entry]
Name=Sweep
GenericName=Sound Editor
Comment=An audio editor and live playback tool
Exec=sweep-audio-editor
Icon=sweep.svg
Terminal=false
Type=Application
MimeType=audio/x-wav;audio/x-aiff;audio/x-aifc;application/ogg;audio/x-mp3;audio/mpeg;audio/basic
Encoding=UTF-8
X-Desktop-File-Install-Version=0.9
StartupWMClass=Sweep
EOF
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/sweep.desktop
desktop-file-install --vendor fedora \
        --add-category X-Fedora \
        --add-category Application \
        --add-category AudioVideo \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        sweep.desktop

find $RPM_BUILD_ROOT%{_libdir}/sweep -name "*.la" | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/sweep -name "*.a" | xargs rm -f

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%postun
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/sweep*
%{_libdir}/sweep
%{_datadir}/pixmaps/sweep.svg
%{_datadir}/sweep
%{_datadir}/applications/*
%{_mandir}/man*/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO doc/plugin_writers_guide.txt


%files devel
%defattr(-,root,root,-)
%doc doc/plugin_writers_guide.txt
%{_includedir}/sweep


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-2
- Autorebuild for GCC 4.3

* Wed Feb  7 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.9.2-1
- new version 0.9.2

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.1-5
- Rebuild for FE6

* Sun Mar 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.1-3
- do not compile in experimental features

* Thu Mar 16 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.1-1
- new version 0.9.1

* Fri Jan 20 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.9.0-1
- new version 0.9.0

* Mon Oct  3 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.4-1
- First Fedora release

* Mon Mar  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.3-1
- First Fedora release
